Subject: [hybi] WebSockets protocol URI scheme names

From: Graham Klyne <[email-masked]>
Date: Mon, 26 Oct 2009 11:28:37 +0000

Some time ago, there was some discussion about the URI scheme name for 
WebSockets (ws:/wss:).  As scheme registration reviewer, I recommended holding 
off registration while that debate was ongoing.

That debate seems to have run its course - would it be fair to say that rough 
consensus is that the scheme names will likely be as originally proposed?

#g

---

From: Ian Hickson <[email-masked]>
Date: Tue, 27 Oct 2009 00:10:25 +0000 (UTC)

On Mon, 26 Oct 2009, Graham Klyne wrote:
> WebSockets (ws:/wss:).  As scheme registration reviewer, I recommended 
> holding off registration while that debate was ongoing.
> 
> That debate seems to have run its course - would it be fair to say that 
> rough consensus is that the scheme names will likely be as originally 
> proposed?

I am not aware of any unaddressed feedback that would affect the scheme 
registrations. (Whether that means we have consensus or not, I don't know.)

-- 
Ian Hickson               U+1047E                )\._.,--....,'``.    fL
http://ln.hixie.ch/       U+263A                /,   _.. \   _\  ;`._ ,.
Things that are impossible just take longer.   `._.-(,_..'--(,_..'`-.;.'

---

From: Mark Nottingham <[email-masked]>
Date: Tue, 27 Oct 2009 11:55:27 +1100

My .02 - yes.

On 26/10/2009, at 10:28 PM, Graham Klyne wrote:

> Some time ago, there was some discussion about the URI scheme name  
> for WebSockets (ws:/wss:).  As scheme registration reviewer, I  
> recommended holding off registration while that debate was ongoing.
>
> That debate seems to have run its course - would it be fair to say  
> that rough consensus is that the scheme names will likely be as  
> originally proposed?
>
> #g
>
> _______________________________________________
> hybi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hybi

--
Mark Nottingham     http://www.mnot.net/

---

From: Mark Nottingham <[email-masked]>
Date: Tue, 27 Oct 2009 12:23:00 +1100

... one note, though;

RFC3295, section 2.8 (Scheme Name Considerations) says:

>    Avoid using names that are either very general purpose or  
> associated
>    in the community with some other application or protocol.

I know there was some discussion of "WS" already being associated with  
"Web Services"; is this a problem?

Cheers,